Get Generation Progress
GET
/api/canvas/{deal_id}/progress
const url = 'https://example.com/api/canvas/example/progress';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/canvas/example/progress \ --header 'Authorization: Bearer <token>'Check memo generation progress.
Returns which sections have content in the Store. Used by the frontend to show a progress bar during generation.
Phase 4: RequireViewer — all collaborators can view generation progress.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” deal_id
required
Deal Id
string
Responses
Section titled “ Responses ”Successful Response
Media type application/json
GenerationProgressResponse
Response for GET /api/canvas/{deal_id}/progress.
object
populated
required
Populated
integer
total
required
Total
integer
sections
required
Sections
object
key
additional properties
boolean
store_available
required
Store Available
boolean
Example generated
{ "populated": 1, "total": 1, "sections": { "additionalProperty": true }, "store_available": true}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}